Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpoll/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6225 2001-07-20 11:22:30Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezuser/classes/ezpermission.php" );
28 // include_once( "classes/ezhttptool.php" );
29
30 $user =& eZUser::currentUser();
31 if( eZPermission::checkPermission( $user, "eZPoll", "ModuleEdit" ) == false )
32 {
33 eZHTTPTool::header( "Location: /error/403" );
34 exit();
35 }
36 //print $REQUEST_URI;
37
38 $url_array = explode( "/", $REQUEST_URI );
39
40 switch ( $url_array[2] )
41 {
42 case "pollist" :
43 {
44 if( isset( $DeletePolls ) )
45 $Action = "Delete";
46
47 if ( isset( $AddPoll ) )
48 {
49 include( "kernel/ezpoll/admin/polledit.php" );
50 }
51 else
52 {
53 include( "kernel/ezpoll/admin/pollist.php" );
54 }
55 }
56 break;
57
58 case "polledit" :
59 if ( ( $url_array[3] == "new" ) )
60 {
61 $Action = "New";
62 include( "kernel/ezpoll/admin/polledit.php" );
63 }
64 else if ( ( $url_array[3] == "insert" ) )
65 {
66 $Action = "Insert";
67 include( "kernel/ezpoll/admin/polledit.php" );
68 }
69 else if( ( $url_array[3] == "edit" ) )
70 {
71 $Action = "Edit";
72 $PollID = $url_array[4];
73 include( "kernel/ezpoll/admin/polledit.php" );
74 }
75 else if( ( $url_array[3] == "update" ) )
76 {
77 $Action = "Update";
78 $PollID = $url_array[4];
79 include( "kernel/ezpoll/admin/polledit.php" );
80 }
81 break;
82 }
83
84 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$url_array
if(eZPermission::checkPermission( $user, "eZPoll", "ModuleEdit")==false) $url_array
Definition: ezpoll/admin/datasupplier.php:38
$user
$user
Definition: ezpoll/admin/datasupplier.php:30
exit
exit
Definition: folder.php:81
$REQUEST_URI
$REQUEST_URI
Definition: storestats.php:32
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.